<script>
import { defineComponent, ref } from "vue";
import { useTaskStore } from "src/stores/task";

export default defineComponent({
  name: "MainLayout",

  setup() {
    const taskStore = useTaskStore();
    const today = new Date().toLocaleDateString("br");

    return {
      today,
      taskStore,
    };
  },
});
</script>

<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <div class="text-subtitle-1">
          <q-icon name="mdi-calendar-outline" size="md"></q-icon>
          {{ taskStore.taskList.length }}
        </div>

        <q-toolbar-title />

        <div class="text-subtitle-1">{{ today }}</div>
      </q-toolbar>
    </q-header>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>
